## NAME

v.extrude - Extrudes flat vector features to 3D vector features with defined height.
Optionally the height can be derived from sampling of elevation raster map.

## KEYWORDS

vector, geometry, sampling, 3D

## SYNOPSIS

v.extrude
v.extrude --help
v.extrude [-t] input=name [layer=string] [cats=range] [where=sql_query] [type=string[,string,...]] output=name [zshift=float] [height=float] [height_column=name] [elevation=name] [method=string] [scale=float] [null_value=float] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-t
  Trace elevation
--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

input=name [required]
  Name of input vector map
  Or data source for direct OGR access
layer=string
  Layer number or name ('-1' for all layers)
  A single vector map can be connected to multiple database tables. This number determines which table to use. When used with direct OGR access this is the layer name.
  Default: -1
cats=range
  Category values
  Example: 1,3,7-9,13
where=sql_query
  WHERE conditions of SQL statement without 'where' keyword
  Example: income < 1000 and population >= 10000
type=string[,string,...]
  Input feature type
  Options: point, line, area
  Default: point,line,area
output=name [required]
  Name for output vector map
zshift=float
  Shifting value for z coordinates
  Default: 0
height=float
  Fixed height for 3D vector features
height_column=name
  Name of attribute column with feature height
elevation=name
  Elevation raster map for height extraction
method=string
  Sampling interpolation method
  Options: nearest, bilinear, bicubic
  Default: nearest
  nearest: Nearest-neighbor interpolation
  bilinear: Bilinear interpolation
  bicubic: Bicubic interpolation
scale=float
  Scale factor sampled raster values
  Default: 1.0
null_value=float
  Height for sampled raster NULL values

## DESCRIPTION

v.extrude creates faces, kernels or 3D lines based on input 2D vector features. Points are converted to 3D vertical lines, lines to faces and areas to volumes (composition of closed set of faces and kernel).

If elevation parameter is used then 3D vector features follow the elevation model by using individual elevation values for the vertices. Height for vertices is interpolated from elevation raster map using given interpolation method.

## NOTES

v.extrude extrudes vector features which means that points are converted to vertical lines. Lines and area boundaries are extruded to a set of faces, each segment defines one face. Area centroids are written as kernels. Area as a composition of boundaries and centroid is stored as a closed set of faces and kernel which define a volume.

For conversion of 2D points or lines to 3D can be used v.to.3d or v.drape. In opposite to v.extrude, these modules do not extrude vector features, they defines z-coordinate for the features from given parameters or by sampling elevation raster map values. It means that no feature type conversion is applied, points remain still points in the output vector map. Same applies for the lines.

v.extrude modifies only features geometry. Feature categories remain untouched and attribute data is copied from input vector map to the output.

By default, all features (including features without category) from input vector map are processed (layer=-1). Feature selection can be applied by layer, cats or where parameter.

## EXAMPLES

### 3D houses with fixed height

    v.extrude input=houses output=houses3D height=5 type=area

### 3D houses with individual height

    v.extrude input=houses output=houses3D elevation=dem height_column=height type=area

### Convert 2D points to 3D vertical lines with fixed height

    v.extrude input=geodetic_pts output=points3D height=200 type=point

## SEE ALSO

v.transform, v.drape, v.to.3d

wxGUI 3D viewer

## AUTHORS

Jachym Cepicky,
Updated for GRASS 7 by Martin Landa, FBK-irst, Italy and Czech Technical University in Prague, Czech Republic

## SOURCE CODE

Available at: v.extrude source code (history)

Accessed: Friday Jul 14 13:09:38 2023

Main index | Vector index | Topics index | Keywords index | Graphical index | Full index

© 2003-2023 GRASS Development Team, GRASS GIS 8.3.0 Reference Manual